Skip to main content
GET
/
internal_wallets
/
{walletId}
/
assets
TypeScript
const response: Promise<FireblocksResponse<PaginatedAssetsResponse>> = fireblocks.internalWallets.getInternalWalletAssetsPaginated(internalWalletsApiGetInternalWalletAssetsPaginatedRequest);
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "assets": [
      {
        "id": "<string>",
        "balance": "<string>",
        "lockedAmount": "<string>",
        "status": "WAITING_FOR_APPROVAL",
        "address": "<string>",
        "tag": "<string>",
        "activationTime": "<string>"
      }
    ],
    "customerRefId": "<string>"
  },
  "total": 123,
  "next": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

walletId
string
required

The ID of the internal wallet to return assets for

Query Parameters

pageSize
number
default:50

Number of assets to return per page

Required range: 1 <= x <= 200
pageCursor
string

Cursor for pagination

Response

A paginated response of assets for the internal wallet

data
object
required
total
number

Total number of assets in the internal wallet

next
string

Cursor for the next page of results